[yocto-docs] ref-manual: Corrected openSUSE essential packages

Submitted by Michael Halstead on June 6, 2019, 11:46 p.m. | Patch ID: 162027

Details

Message ID 20190606234656.28343-1-mhalstead@linuxfoundation.org
State New
Headers show

Commit Message

Michael Halstead June 6, 2019, 11:46 p.m.
Some packages were bumped onto the pip3 install line. Install them with zypper as before.

Signed-off-by: Michael Halstead <mhalstead@linuxfoundation.org>
---
 documentation/poky.ent | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Patch hide | download patch | download mbox

diff --git a/documentation/poky.ent b/documentation/poky.ent
index b5f600969..a436d9027 100644
--- a/documentation/poky.ent
+++ b/documentation/poky.ent
@@ -68,8 +68,8 @@ 
      python3-jinja2 SDL-devel xterm">
 <!ENTITY OPENSUSE_HOST_PACKAGES_ESSENTIAL "python gcc gcc-c++ git chrpath make wget python-xml \
      diffstat makeinfo python-curses patch socat python3 python3-curses tar python3-pip \
-     python3-pexpect xz which python3-Jinja2 Mesa-libEGL1
-     $ sudo pip3 install GitPython libSDL-devel xterm">
+     python3-pexpect xz which python3-Jinja2 Mesa-libEGL1 libSDL-devel xterm
+     $ sudo pip3 install GitPython">
 <!ENTITY CENTOS_HOST_PACKAGES_ESSENTIAL "-y epel-release
      $ sudo yum makecache
      $ sudo yum install gawk make wget tar bzip2 gzip python unzip perl patch \

Comments

Armin Kuster June 7, 2019, 12:07 a.m.
On 6/6/19 4:46 PM, Michael Halstead wrote:
> Some packages were bumped onto the pip3 install line. Install them with zypper as before.
with backport? ie is Warrior or Thud affected, I suspect so

- armin
>
> Signed-off-by: Michael Halstead <mhalstead@linuxfoundation.org>
> ---
>  documentation/poky.ent | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/documentation/poky.ent b/documentation/poky.ent
> index b5f600969..a436d9027 100644
> --- a/documentation/poky.ent
> +++ b/documentation/poky.ent
> @@ -68,8 +68,8 @@
>       python3-jinja2 SDL-devel xterm">
>  <!ENTITY OPENSUSE_HOST_PACKAGES_ESSENTIAL "python gcc gcc-c++ git chrpath make wget python-xml \
>       diffstat makeinfo python-curses patch socat python3 python3-curses tar python3-pip \
> -     python3-pexpect xz which python3-Jinja2 Mesa-libEGL1
> -     $ sudo pip3 install GitPython libSDL-devel xterm">
> +     python3-pexpect xz which python3-Jinja2 Mesa-libEGL1 libSDL-devel xterm
> +     $ sudo pip3 install GitPython">
>  <!ENTITY CENTOS_HOST_PACKAGES_ESSENTIAL "-y epel-release
>       $ sudo yum makecache
>       $ sudo yum install gawk make wget tar bzip2 gzip python unzip perl patch \
Michael Halstead June 7, 2019, 11:19 p.m.
On Thu, Jun 6, 2019 at 5:07 PM akuster808 <akuster808@gmail.com> wrote:

>
>
> On 6/6/19 4:46 PM, Michael Halstead wrote:
> > Some packages were bumped onto the pip3 install line. Install them with
> zypper as before.
> with backport? ie is Warrior or Thud affected, I suspect so
>

Yes for Warrior. Thud is fine.

Is there anything I need to do for the Warrior backport?


>
> - armin
> >
> > Signed-off-by: Michael Halstead <mhalstead@linuxfoundation.org>
> > ---
> >  documentation/poky.ent | 4 ++--
> >  1 file changed, 2 insertions(+), 2 deletions(-)
> >
> > diff --git a/documentation/poky.ent b/documentation/poky.ent
> > index b5f600969..a436d9027 100644
> > --- a/documentation/poky.ent
> > +++ b/documentation/poky.ent
> > @@ -68,8 +68,8 @@
> >       python3-jinja2 SDL-devel xterm">
> >  <!ENTITY OPENSUSE_HOST_PACKAGES_ESSENTIAL "python gcc gcc-c++ git
> chrpath make wget python-xml \
> >       diffstat makeinfo python-curses patch socat python3 python3-curses
> tar python3-pip \
> > -     python3-pexpect xz which python3-Jinja2 Mesa-libEGL1
> > -     $ sudo pip3 install GitPython libSDL-devel xterm">
> > +     python3-pexpect xz which python3-Jinja2 Mesa-libEGL1 libSDL-devel
> xterm
> > +     $ sudo pip3 install GitPython">
> >  <!ENTITY CENTOS_HOST_PACKAGES_ESSENTIAL "-y epel-release
> >       $ sudo yum makecache
> >       $ sudo yum install gawk make wget tar bzip2 gzip python unzip perl
> patch \
>
>
Armin Kuster June 8, 2019, 10:46 p.m.
On 6/7/19 4:19 PM, Michael Halstead wrote:
>
>
> On Thu, Jun 6, 2019 at 5:07 PM akuster808 <akuster808@gmail.com
> <mailto:akuster808@gmail.com>> wrote:
>
>
>
>     On 6/6/19 4:46 PM, Michael Halstead wrote:
>     > Some packages were bumped onto the pip3 install line. Install
>     them with zypper as before.
>     with backport? ie is Warrior or Thud affected, I suspect so
>
>
> Yes for Warrior. Thud is fine.
>
> Is there anything I need to do for the Warrior backport?
nope. i will handle this.

thanks,
Armin
>  
>
>
>     - armin
>     >
>     > Signed-off-by: Michael Halstead <mhalstead@linuxfoundation.org
>     <mailto:mhalstead@linuxfoundation.org>>
>     > ---
>     >  documentation/poky.ent | 4 ++--
>     >  1 file changed, 2 insertions(+), 2 deletions(-)
>     >
>     > diff --git a/documentation/poky.ent b/documentation/poky.ent
>     > index b5f600969..a436d9027 100644
>     > --- a/documentation/poky.ent
>     > +++ b/documentation/poky.ent
>     > @@ -68,8 +68,8 @@
>     >       python3-jinja2 SDL-devel xterm">
>     >  <!ENTITY OPENSUSE_HOST_PACKAGES_ESSENTIAL "python gcc gcc-c++
>     git chrpath make wget python-xml \
>     >       diffstat makeinfo python-curses patch socat python3
>     python3-curses tar python3-pip \
>     > -     python3-pexpect xz which python3-Jinja2 Mesa-libEGL1
>     > -     $ sudo pip3 install GitPython libSDL-devel xterm">
>     > +     python3-pexpect xz which python3-Jinja2 Mesa-libEGL1
>     libSDL-devel xterm
>     > +     $ sudo pip3 install GitPython">
>     >  <!ENTITY CENTOS_HOST_PACKAGES_ESSENTIAL "-y epel-release
>     >       $ sudo yum makecache
>     >       $ sudo yum install gawk make wget tar bzip2 gzip python
>     unzip perl patch \
>
>
Armin Kuster June 17, 2019, 1:24 a.m.
On 6/6/19 4:46 PM, Michael Halstead wrote:
> Some packages were bumped onto the pip3 install line. Install them with zypper as before.
>
> Signed-off-by: Michael Halstead <mhalstead@linuxfoundation.org>
> ---

is this too early to Ping?

is there an issue with this patch?

-armin
>  documentation/poky.ent | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/documentation/poky.ent b/documentation/poky.ent
> index b5f600969..a436d9027 100644
> --- a/documentation/poky.ent
> +++ b/documentation/poky.ent
> @@ -68,8 +68,8 @@
>       python3-jinja2 SDL-devel xterm">
>  <!ENTITY OPENSUSE_HOST_PACKAGES_ESSENTIAL "python gcc gcc-c++ git chrpath make wget python-xml \
>       diffstat makeinfo python-curses patch socat python3 python3-curses tar python3-pip \
> -     python3-pexpect xz which python3-Jinja2 Mesa-libEGL1
> -     $ sudo pip3 install GitPython libSDL-devel xterm">
> +     python3-pexpect xz which python3-Jinja2 Mesa-libEGL1 libSDL-devel xterm
> +     $ sudo pip3 install GitPython">
>  <!ENTITY CENTOS_HOST_PACKAGES_ESSENTIAL "-y epel-release
>       $ sudo yum makecache
>       $ sudo yum install gawk make wget tar bzip2 gzip python unzip perl patch \